<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:d32141ec-3d04-4603-b4ed-eba72f1f3575,g:77b5993c-58bc-45da-b8d2-ea1140df8311-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member"/>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#PvpAdjustmentsOnly"/>
  <link:definitionLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllAdjToCompMember" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_apam_StockAwardsAdjustmentsMember_6f1f791f-4603-4fde-8960-586e7fde3e2c" xlink:href="apam-20240426.xsd#apam_StockAwardsAdjustmentsMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_apam_StockAwardsAdjustmentsMember_6f1f791f-4603-4fde-8960-586e7fde3e2c" xlink:type="arc" order="1"/>
    <link:loc xlink:type="locator" xlink:label="loc_apam_EquityAwardsGrantedDuringTheYearUnvestedMember_51fd2d3c-6fe0-4a86-bd56-0a26a7a5e240" xlink:href="apam-20240426.xsd#apam_EquityAwardsGrantedDuringTheYearUnvestedMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_apam_EquityAwardsGrantedDuringTheYearUnvestedMember_51fd2d3c-6fe0-4a86-bd56-0a26a7a5e240" xlink:type="arc" order="2"/>
    <link:loc xlink:type="locator" xlink:label="loc_apam_EquityAwardsGrantedInPriorYearsUnvestedMember_54c85871-fb9c-43d0-81fa-13abaac71cc0" xlink:href="apam-20240426.xsd#apam_EquityAwardsGrantedInPriorYearsUnvestedMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_apam_EquityAwardsGrantedInPriorYearsUnvestedMember_54c85871-fb9c-43d0-81fa-13abaac71cc0" xlink:type="arc" order="3"/>
    <link:loc xlink:type="locator" xlink:label="loc_apam_EquityAwardsVestedDuringTheYearMember_3197b148-82bf-4c13-8f26-87ae75611cf4" xlink:href="apam-20240426.xsd#apam_EquityAwardsVestedDuringTheYearMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_apam_EquityAwardsVestedDuringTheYearMember_3197b148-82bf-4c13-8f26-87ae75611cf4" xlink:type="arc" order="4"/>
    <link:loc xlink:type="locator" xlink:label="loc_apam_ValueOfDividendsPaidAdjustmentMember_3b9d1dcc-8a0c-4930-b47a-72dca075d7f6" xlink:href="apam-20240426.xsd#apam_ValueOfDividendsPaidAdjustmentMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_apam_ValueOfDividendsPaidAdjustmentMember_3b9d1dcc-8a0c-4930-b47a-72dca075d7f6" xlink:type="arc" order="5"/>
  </link:definitionLink>
</link:linkbase>
